Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.gui
Class BiojavaJmol

    java.lang.Object
      org.biojava.bio.structure.gui.BiojavaJmol

    public class BiojavaJmol

extends Object

A class that provides a simple GUI for Jmol

Since:
  1.6
Author:
  Andreas Prlic

Field Summary
`static String` | `adapter`
`static String` | `smartAdapter`
`static String` | `viewer`

Constructor Summary
`BiojavaJmol()`

Method Summary
`void` | `evalString(String rasmolScript)`
`static boolean` | `jmolInClassPath()` returns true if Jmol can be found in the classpath, otherwise false.
`static void` | `main(String[] args)`
`void` | `setStructure(Structure s)`
`void` | `setTitle(String label)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewer

    public static final String viewer

See Also:
  Constant Field Values

### adapter

    public static final String adapter

See Also:
  Constant Field Values

### smartAdapter

    public static final String smartAdapter

See Also:
  Constant Field Values

Constructor Detail

### BiojavaJmol

    public BiojavaJmol()

Method Detail

### main

    public static void main(String[] args)

### jmolInClassPath

    public static boolean jmolInClassPath()

  returns true if Jmol can be found in the classpath, otherwise false.

  Returns:
    true/false depending if Jmol can be found

### evalString

    public void evalString(String rasmolScript)

### setStructure

    public void setStructure(Structure s)

### setTitle

    public void setTitle(String label)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD